Subject: Re: [PATCH net-next v8 2/2] net: stmmac: Add support for Allwinner A523 GMAC200

From: Jakub Kicinski <[email-masked]>
Date: Mon, 29 Sep 2025 18:08:04 -0700

On Fri, 26 Sep 2025 03:15:59 +0800 Chen-Yu Tsai wrote:
> The Allwinner A523 SoC family has a second Ethernet controller, called
> the GMAC200 in the BSP and T527 datasheet, and referred to as GMAC1 for
> numbering. This controller, according to BSP sources, is fully
> compatible with a slightly newer version of the Synopsys DWMAC core.
> The glue layer around the controller is the same as found around older
> DWMAC cores on Allwinner SoCs. The only slight difference is that since
> this is the second controller on the SoC, the register for the clock
> delay controls is at a different offset. Last, the integration includes
> a dedicated clock gate for the memory bus and the whole thing is put in
> a separately controllable power domain.

Hi Andrew, does this look good ?

thread: https://lore.kernel.org/[email-masked]